org.custommonkey.xmlunit.examples

## Class TextDifferenceListenerBase

- java.lang.Object
- - org.custommonkey.xmlunit.examples.TextDifferenceListenerBase

All Implemented Interfaces:
  DifferenceListener

Direct Known Subclasses:
  CaseInsensitiveDifferenceListener, FloatingPointTolerantDifferenceListener

    public abstract class TextDifferenceListenerBase
    extends java.lang.Object
    implements DifferenceListener

Base class that delegates all differences to another DifferenceListener.

Subclasses get a chance to hook into special methods that will be invoked for differences in textual values of attributes, CDATA sections, Text or comment nodes.

### Field Summary

### Fields inherited from interface org.custommonkey.xmlunit.DifferenceListener

`RETURN_ACCEPT_DIFFERENCE, RETURN_IGNORE_DIFFERENCE_NODES_IDENTICAL, RETURN_IGNORE_DIFFERENCE_NODES_SIMILAR, RETURN_UPGRADE_DIFFERENCE_NODES_DIFFERENT`

### Constructor Summary

Constructors
`protected` `TextDifferenceListenerBase(DifferenceListener delegateTo)`

### Method Summary

Methods
`protected int` `attributeDifference(Difference d)` Delegates to `textualDifference`.
`protected int` `cdataDifference(Difference d)` Delegates to `textualDifference`.
`protected int` `commentDifference(Difference d)` Delegates to `textualDifference`.
`int` `differenceFound(Difference difference)` Delegates to the nested DifferenceListener unless the Difference is of type `ATTR_VALUE_ID`, `CDATA_VALUE_ID`, `COMMENT_VALUE_ID` or `TEXT_VALUE_ID` - for those special differences `attributeDifference`, `cdataDifference`, `commentDifference` or `textDifference` are invoked respectively.
`void` `skippedComparison(org.w3c.dom.Node control, org.w3c.dom.Node test)` Receive notification that a comparison between 2 nodes has been skipped because the node types are not comparable by the DifferenceEngine
`protected int` `textDifference(Difference d)` Delegates to `textualDifference`.
`protected int` `textualDifference(Difference d)` Delegates to the nested DifferenceListener.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextDifferenceListenerBase

    protected TextDifferenceListenerBase(DifferenceListener delegateTo)

### Method Detail

#### differenceFound

    public int differenceFound(Difference difference)

Delegates to the nested DifferenceListener unless the Difference is of type `ATTR_VALUE_ID`, `CDATA_VALUE_ID`, `COMMENT_VALUE_ID` or `TEXT_VALUE_ID` - for those special differences `attributeDifference`, `cdataDifference`, `commentDifference` or `textDifference` are invoked respectively.

Specified by:
  `differenceFound` in interface `DifferenceListener`
Parameters:
  `difference` - a Difference instance as defined in `DifferenceConstants` describing the cause of the difference and containing the detail of the nodes that differ
Returns:
  int one of the RETURN_... constants describing how this difference was interpreted

#### attributeDifference

    protected int attributeDifference(Difference d)

Delegates to `textualDifference`.

#### cdataDifference

    protected int cdataDifference(Difference d)

Delegates to `textualDifference`.

#### commentDifference

    protected int commentDifference(Difference d)

Delegates to `textualDifference`.

#### textDifference

    protected int textDifference(Difference d)

Delegates to `textualDifference`.

#### textualDifference

    protected int textualDifference(Difference d)

Delegates to the nested DifferenceListener.

#### skippedComparison

    public void skippedComparison(org.w3c.dom.Node control,
                         org.w3c.dom.Node test)

Description copied from interface: `DifferenceListener`
Receive notification that a comparison between 2 nodes has been skipped because the node types are not comparable by the DifferenceEngine

Specified by:
  `skippedComparison` in interface `DifferenceListener`
Parameters:
  `control` - the control node being compared
  `test` - the test node being compared
See Also:
  `DifferenceEngine`